Skip to main content
POST
/
clients
/
me
/
integrations
/
blockaid
/
address
/
scan
Scan an address
curl --request POST \
  --url https://api.portalhq.io/api/v3/clients/me/integrations/blockaid/address/scan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": "<string>",
  "chainId": "<string>",
  "metadata": {
    "domain": "<string>"
  }
}
'
{
  "data": {
    "rawResponse": {
      "result_type": "<string>",
      "malicious_score": "<string>",
      "details": {}
    }
  }
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Body

application/json
address
string
required

The blockchain address to scan.

chainId
string

Chain ID in CAIP-2 format.

metadata
object

Response

Scan completed successfully

data
object